import { Body, Config, Controller, Inject, Post } from '@midwayjs/core';
import { get } from 'lodash';
import { MqService } from '../service/mq.service';

@Controller('/mission')
export class MissionController {
  @Inject()
  mqService: MqService;
  @Config('mqQe.mission')
  mission: any;
  @Post('/')
  async resolve(@Body() body: object) {
    const id = get(body, 'id');
    await this.mqService.sendToQueue(this.mission.queue, id);
    return 'ok';
  }
}
